GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
mi_parse Struct Reference

`#include "mi-parse.h"`

## Public Member Functions
| mi_parse ()
| ~mi_parse ()
| DISABLE_COPY_AND_ASSIGN (mi_parse)

## Public Attributes
enum mi_command_type | op
char * | command
char * | token
const struct mi_cmd * | cmd
struct mi_timestamp * | cmd_start
char * | args
char ** | argv
int | argc
int | all
int | thread_group
int | thread
int | frame
enum language | language

## Detailed Description

Definition at line 42 of file mi-parse.h.

## Constructor & Destructor Documentation

## ◆ mi_parse()

mi_parse::mi_parse | ( |  | ) |

Definition at line 211 of file mi-parse.c.

## ◆ ~mi_parse()

mi_parse::~mi_parse | ( |  | ) |

Definition at line 228 of file mi-parse.c.

References args, argv, command, and xfree().

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

mi_parse::DISABLE_COPY_AND_ASSIGN | ( | mi_parse |  | ) |

## Member Data Documentation

## ◆ all

int mi_parse::all

Definition at line 57 of file mi-parse.h.

Referenced by exec_continue(), mi_cmd_exec_interrupt(), and mi_cmd_exec_run().

## ◆ argc

int mi_parse::argc

Definition at line 56 of file mi-parse.h.

Referenced by command_notifies_uscc_observer().

## ◆ args

char* mi_parse::args

Definition at line 54 of file mi-parse.h.

Referenced by captured_mi_execute_command(), and ~mi_parse().

## ◆ argv

char** mi_parse::argv

Definition at line 55 of file mi-parse.h.

Referenced by command_notifies_uscc_observer(), and ~mi_parse().

## ◆ cmd

const struct mi_cmd* mi_parse::cmd

Definition at line 52 of file mi-parse.h.

## ◆ cmd_start

struct mi_timestamp* mi_parse::cmd_start

Definition at line 53 of file mi-parse.h.

Referenced by captured_mi_execute_command().

## ◆ command

char* mi_parse::command

Definition at line 50 of file mi-parse.h.

Referenced by captured_mi_execute_command(), command_notifies_uscc_observer(), and ~mi_parse().

## ◆ frame

int mi_parse::frame

Definition at line 60 of file mi-parse.h.

## ◆ language

enum language mi_parse::language

Definition at line 64 of file mi-parse.h.

## ◆ op

enum mi_command_type mi_parse::op

Definition at line 49 of file mi-parse.h.

Referenced by captured_mi_execute_command(), and command_notifies_uscc_observer().

## ◆ thread

int mi_parse::thread

Definition at line 59 of file mi-parse.h.

## ◆ thread_group

int mi_parse::thread_group

Definition at line 58 of file mi-parse.h.

Referenced by exec_continue(), and mi_cmd_exec_interrupt().

## ◆ token

char* mi_parse::token

Definition at line 51 of file mi-parse.h.

Referenced by captured_mi_execute_command().

The documentation for this struct was generated from the following files:

- /tmp/gdb-8.1/gdb/mi/mi-parse.h
- /tmp/gdb-8.1/gdb/mi/mi-parse.c